Dates formatted as ages are too vague
Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Currently on http://www.redmine.org/projects/redmine/news:

       Redmine 0.8.2 released (5 comments)

       Added by Jean-Philippe Lang about 1 month ago

       ...

       Redmine 0.8.1 released (4 comments)

       Added by Jean-Philippe Lang about 1 month ago

The actual dates are 2009-03-07 and 2009-02-15 (more like 4 and 7 weeks ago).

I've seen dates formatted as ages on other systems that do not change units until the age is ≥ 2 x the-unit.

This provides better/more accurate information.

The algorithm goes along the lines of:

    if age < 2 hours then use minutes

    else if age < 2 days then use hours

    else if age < 2 weeks then use days

    else if age < 2 months then use weeks

    else if age < 2 years then use months

    ...

Related issues:

Related to Redmine - Feature #20310: Ability to switch date format (from rela... New

History

#1 - 2009-04-15 08:01 - Damien Couderc

I agree with Chris, dealing with high number of days is not useful.

#2 - 2013-01-14 09:01 - Daniel Felix

- Tracker changed from Defect to Feature

This is related to the integrated function time_tag(). I don't know if this request is worth it to implement a own function?

#3 - 2019-02-13 10:52 - Go MAEDA

- Related to Feature #20310: Ability to switch date format (from relative into absolute) in issue notes titles added
